# ApplicationFramework
TKPLCAF
MDF

# MDF_Tool Class Reference

A tool to translate...
.

`#include <MDF_Tool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | WriteLabels (const Handle(TDF_Data)&aSource, const Handle(PDF_Data)&aTarget, const MDF_TypeASDriverMap &aDriverMap, const Handle(MDF_SRelocationTable)&aReloc)
| Writes the labels with empty attributes. .
static Standard_EXPORT void | WriteLabels (const TDF_Label &aSourceLab, const Handle(PColStd_HArray1OfInteger)&theLabels, const Handle(PDF_HAttributeArray1)&theAttributes, const MDF_TypeASDriverMap &aDriverMap, const Handle(MDF_SRelocationTable)&aReloc, Standard_Integer &labAlloc, Standard_Integer &attAlloc)
| Used for recursivity. .
static Standard_EXPORT void | WriteAttributes (const MDF_TypeASDriverMap &aDriverMap, const Handle(MDF_SRelocationTable)&aReloc)
| Writes attributes content. .
static Standard_EXPORT void | ReadLabels (const Handle(PDF_Data)&aSource, const Handle(TDF_Data)&aTarget, const MDF_TypeARDriverMap &aDriverMap, const Handle(MDF_RRelocationTable)&aReloc)
| Reads the labels abd adds empty attributes to them. .
static Standard_EXPORT void | ReadLabels (TDF_Label &anIns, const Handle(PColStd_HArray1OfInteger)&theLabels, const Handle(PDF_HAttributeArray1)&theAttributes, const MDF_TypeARDriverMap &aDriverMap, const Handle(MDF_RRelocationTable)&aReloc, Standard_Integer &labRead, Standard_Integer &attRead)
| Used for recursivity. .
static Standard_EXPORT void | ReadAttributes (const MDF_TypeARDriverMap &aDriverMap, const Handle(MDF_RRelocationTable)&aReloc)
| Reads attributes content and paste them. .

## Member Function Documentation

void MDF_Tool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF_Tool::operator new | ( | size_t | size | ) | `[inline]`

void* MDF_Tool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void MDF_Tool::ReadAttributes | ( | const MDF_TypeARDriverMap & | aDriverMap,
|  | const Handle(MDF_RRelocationTable)& | aReloc
| ) | `[static]`

static Standard_EXPORT void MDF_Tool::ReadLabels | ( | TDF_Label & | anIns,
|  | const Handle(PColStd_HArray1OfInteger)& | theLabels,
|  | const Handle(PDF_HAttributeArray1)& | theAttributes,
|  | const MDF_TypeARDriverMap & | aDriverMap,
|  | const Handle(MDF_RRelocationTable)& | aReloc,
|  | Standard_Integer & | labRead,
|  | Standard_Integer & | attRead
| ) | `[static]`

static Standard_EXPORT void MDF_Tool::ReadLabels | ( | const Handle(PDF_Data)& | aSource,
|  | const Handle(TDF_Data)& | aTarget,
|  | const MDF_TypeARDriverMap & | aDriverMap,
|  | const Handle(MDF_RRelocationTable)& | aReloc
| ) | `[static]`

static Standard_EXPORT void MDF_Tool::WriteAttributes | ( | const MDF_TypeASDriverMap & | aDriverMap,
|  | const Handle(MDF_SRelocationTable)& | aReloc
| ) | `[static]`

static Standard_EXPORT void MDF_Tool::WriteLabels | ( | const TDF_Label & | aSourceLab,
|  | const Handle(PColStd_HArray1OfInteger)& | theLabels,
|  | const Handle(PDF_HAttributeArray1)& | theAttributes,
|  | const MDF_TypeASDriverMap & | aDriverMap,
|  | const Handle(MDF_SRelocationTable)& | aReloc,
|  | Standard_Integer & | labAlloc,
|  | Standard_Integer & | attAlloc
| ) | `[static]`

static Standard_EXPORT void MDF_Tool::WriteLabels | ( | const Handle(TDF_Data)& | aSource,
|  | const Handle(PDF_Data)& | aTarget,
|  | const MDF_TypeASDriverMap & | aDriverMap,
|  | const Handle(MDF_SRelocationTable)& | aReloc
| ) | `[static]`

The documentation for this class was generated from the following file:

- MDF_Tool.hxx